Package Details: stardict-tools 3.0.2-2

Git Clone URL: (read-only)
Package Base: stardict-tools
Description: Stardict tools
Upstream URL:
Keywords: stardict tool
Licenses: GPLv3
Submitter: dynamo
Maintainer: dynamo
Last Packager: dynamo
Votes: 5
Popularity: 0.539121
First Submitted: 2015-08-31 09:03
Last Updated: 2016-09-13 02:34

Latest Comments

dynamo commented on 2016-09-13 02:36

Sorry because I'm too busy. I updated PKGBUILD to make all tools. Thanks @sikmir for new version and @Markismus for notification

Markismus commented on 2016-09-12 09:31

@sikmir Thanks a lot. Finally got stardict-verify working!

@dynamo Thanks for uploading the package and maintaining it. Your version remains broken for now, so I had to clone the git URL and replace the content of PKGBUILD with:

pkgdesc='Stardict tools'
arch=('i686' 'x86_64')
depends=('gtk2' 'glib2')
makedepends=('intltool' 'libtool' 'libmysqlclient')


cd "$srcdir/${pkgname}-$pkgver"

patch -p1 < ../fix-compilation.patch
patch -p1 < ../fix-lz-linking.patch
patch -p1 < ../fix-typo.patch
patch -p1 < ../fix-zlib.patch

CXXFLAGS=-Wno-narrowing ./ --prefix=/usr
sed -i 's/noinst_PROGRAMS =/bin_PROGRAMS +=/' src/Makefile

package() {
cd "$srcdir/${pkgname}-$pkgver"

make DESTDIR="$pkgdir" install
find "$pkgdir"/usr/bin/ -not -name 'stardict-*' -type f | sed 'p;s#usr/bin/#usr/bin/stardict-#' | xargs -n2 mv

sikmir commented on 2016-06-19 09:49

@dynamo please note that "mv ..." line should be placed after "make install".
And finally, let's do it for all tools, not for tabfile only:

-sed -i 's/\(bin_PROGRAMS = .*\)/\1 tabfile$(EXEEXT)/' src/Makefile
+sed -i 's/noinst_PROGRAMS =/bin_PROGRAMS +=/' src/Makefile

-mv "$pkgdir"/usr/bin/tabfile "$pkgdir"/usr/bin/stardict-tabfile
make DESTDIR=$pkgdir/ install
+find "$pkgdir"/usr/bin/ -not -name 'stardict-*' -type f | sed 'p;s#usr/bin/#usr/bin/stardict-#' | xargs -n2 mv

dynamo commented on 2016-06-19 04:44

Thank @sikmir, I will edit

sikmir commented on 2016-06-18 23:37

There are some usefull tools not installed with package by default (for more details see README):
pydict2dic, olddic2newdic, oxford2dic, directory2dic, dictd2dic, wquick2dic, ec50, directory2treedic, treedict2dir, jdictionary, mova, xmlinout, soothill, kanjidic2, powerword, kdic, 21tech, 21shiji, buddhist, tabfile, dsl2dict, cedict, edict, duden, stardict-dict-update, degb2utf, frgb2utf, jpgb2utf, gmx2utf, rucn, kingsoft, wikipedia, wikipediaImage, babylon, stardict2txt, stardict-verify, fest2dict, i2e2dict, downloadwiki, testutf8, ooo2dict, myspell2dic, exc2i2e, dictbuilder, tabfile2sql, KangXi, Unihan, xiaoxuetang-ja, wubi, bgl2txt, ydp2dict, wordnet, lingvosound2resdb, resdatabase2dir, dir2resdatabase, stardict-index, stardict-text2bin, stardict-bin2text.

It looks like no way to enable them via configure script, so there is simple way to get it done (e.g. add tabfile):

(insert before make)
sed -i 's/\(bin_PROGRAMS = .*\)/\1 tabfile$(EXEEXT)/' src/Makefile

(insert after make install)
mv "$pkgdir"/usr/bin/tabfile "$pkgdir"/usr/bin/stardict-tabfile

sikmir commented on 2016-05-30 08:10

A failure occurred in build:

ec50.cpp: In function ‘void captureAllChn(int)’:
ec50.cpp:606:55: error: narrowing conversion of ‘255’ from ‘int’ to ‘char’ inside { } [-Wnarrowing]
const char const_ff[5]={0x0ff,0x0ff,0x0ff,0x0ff,0x0ff};

The fix is simple:
-./ --prefix=/usr
+CXXFLAGS=-Wno-narrowing ./ --prefix=/usr

mildred commented on 2015-10-29 12:53

stardict-editor has a dependency to the package dictd that provides /usr/bin/dictzip. If it is not installed, generating a dictionary will output:

sh: dictzip: command not found